M_Kernel()		/* module */
{
typeChar();
typeEOL();
typeLine();
}			/* end of M_Kernel */
M_switchRegister()		/* module */
{
}			/* end of M_switchRegister */
M_KSMald()		/* module */
{
}			/* end of M_KSMald */
M_constants()		/* module */
{
}			/* end of M_constants */
M_KSMinit()		/* module */
{
}			/* end of M_KSMinit */
M_KSPa()		/* module */
{
}			/* end of M_KSPa */
M_KPRa()		/* module */
{
}			/* end of M_KPRa */
M_KSPb()		/* module */
{
}			/* end of M_KSPb */
M_KSMa()		/* module */
{
}			/* end of M_KSMa */
M_KPRb()		/* module */
{
}			/* end of M_KPRb */
M_KIOa()		/* module */
{
}			/* end of M_KIOa */
M_KSMb()		/* module */
{
}			/* end of M_KSMb */
M_KPRc()		/* module */
{
}			/* end of M_KPRc */
M_KSMc()		/* module */
{
SIGsemInit();
}			/* end of M_KSMc */
M_KIOb()		/* module */
{
}			/* end of M_KIOb */
M_KPRd()		/* module */
{
}			/* end of M_KPRd */
M_kcdp()		/* module */
{
typeLine();
typeLine();
typeString();
typeInteger();
typeChar();
typeChar();
ker_proc();
typeLine();
typeLine();
result = PSDcreate();
typeString();
typeSeid();
typeChar();
typeChar();
typeLine();
SWPpcsRealize();
SCHeligGrant();
typeLine();
}			/* end of M_kcdp */
KSMpcsInitialize()		/* procedure */
{
}			/* end of KSMpcsInitialize */
M_KLIB()		/* module */
{
}			/* end of M_KLIB */
M_KSParith()		/* module */
{
}			/* end of M_KSParith */
M_KTYP()		/* module */
{
}			/* end of M_KTYP */
M_KUT()		/* module */
{
}			/* end of M_KUT */
M_PUAL()		/* module */
{
}			/* end of M_PUAL */
M_OSAL()		/* module */
{
}			/* end of M_OSAL */
M_SMX()		/* module */
{
}			/* end of M_SMX */
M_BUILD()		/* module */
{
typeEOL();
typeString();
typeChar();
typeChar();
typeString();
typeChar();
typeEOL();
typeLine();
typeEOL();
}			/* end of M_BUILD */
M_sig()		/* module */
{
}			/* end of M_sig */
M_str_map()		/* module */
{
}			/* end of M_str_map */
M_dev_time()		/* module */
{
}			/* end of M_dev_time */
M_mem_acc()		/* module */
{
}			/* end of M_mem_acc */
M_nuc_adr()		/* module */
{
get_baseds();
}			/* end of M_nuc_adr */
M_que()		/* module */
{
SIGsemInit();
SIGsemInit();
}			/* end of M_que */
M_sch_pgnt()		/* module */
{
}			/* end of M_sch_pgnt */
M_swp_map()		/* module */
{
SIGsemInit();
}			/* end of M_swp_map */
M_KSPrandom()		/* module */
{
}			/* end of M_KSPrandom */
M_SAC()		/* module */
{
}			/* end of M_SAC */
M_STMG()		/* module */
{
result = PUALinitialize();
}			/* end of M_STMG */
M_SPADa()		/* module */
{
}			/* end of M_SPADa */
M_VMMGa()		/* module */
{
}			/* end of M_VMMGa */
PSprotect()		/* procedure */
{
}			/* end of PSprotect */
M_mem()		/* module */
{
}			/* end of M_mem */
M_map()		/* module */
{
SIGsemInit();
SIGsemInit();
SIGsemInit();
SIGsemInit();
SIGsemInit();
pause();
MAPsetMap();
map_reset();
}			/* end of M_map */
M_psd_del()		/* module */
{
}			/* end of M_psd_del */
M_mes_pse()		/* module */
{
}			/* end of M_mes_pse */
M_dev_trap()		/* module */
{
DEVpseudoGen();
}			/* end of M_dev_trap */
M_mes_aud()		/* module */
{
SIGsemInit();
result = SCHsemInit();
}			/* end of M_mes_aud */
M_IOUtil()		/* module */
{
}			/* end of M_IOUtil */
M_IOSecure()		/* module */
{
}			/* end of M_IOSecure */
M_IOD()		/* module */
{
}			/* end of M_IOD */
M_IOE()		/* module */
{
}			/* end of M_IOE */
M_IOF()		/* module */
{
}			/* end of M_IOF */
M_IOCommon()		/* module */
{
}			/* end of M_IOCommon */
M_SWE()		/* module */
{
result = IODK_open();
IODK_device_function();
result = IODK_close();
result = IOEK_open();
typeVarl();
result = IOEinfoAccess();
result = incc32();
divc32();
OSALinitialize();
result = OSALfree();
SWEclearSwap();
typeString();
typeCardinal();
typeEOL();
typeLine();
typeCardinal();
typeVarl();
typeLine();
OSALinitialize();
result = OSALfree();
MEMclearBlock();
result = OSALfree();
MEMclearBlock();
}			/* end of M_SWE */
M_SIRH()		/* module */
{
}			/* end of M_SIRH */
M_SWEswap()		/* module */
{
}			/* end of M_SWEswap */
M_swp_san()		/* module */
{
}			/* end of M_swp_san */
M_swp_pcs()		/* module */
{
typeLine();
SIGsemInit();
SIGsemInit();
SIGsemInit();
SIGsemInit();
SIGsemInit();
move_seg();
typeLine();
SIRHpcsBuild();
typeString();
typeEOL();
typeLine();
SPADuseMem();
typeString();
typeEOL();
typeLine();
SWPmapIn();
PCSsanitize();
SWPmapOut();
SWEmoveOut();
typeString();
typeEOL();
SIGsemInit();
}			/* end of M_swp_pcs */
M_TSM()		/* module */
{
}			/* end of M_TSM */
M_PSMG()		/* module */
{
}			/* end of M_PSMG */
M_VMMGc()		/* module */
{
}			/* end of M_VMMGc */
M_SPADc()		/* module */
{
}			/* end of M_SPADc */
M_SURH()		/* module */
{
}			/* end of M_SURH */
M_SMEA()		/* module */
{
SIGsemInit();
}			/* end of M_SMEA */
M_SMCL()		/* module */
{
}			/* end of M_SMCL */
M_SMPC()		/* module */
{
}			/* end of M_SMPC */
M_mes_emp()		/* module */
{
}			/* end of M_mes_emp */
M_sch()		/* module */
{
}			/* end of M_sch */
M_sch_sem()		/* module */
{
}			/* end of M_sch_sem */
M_dev_del()		/* module */
{
DEVclock();
}			/* end of M_dev_del */
M_nuc_cntx()		/* module */
{
}			/* end of M_nuc_cntx */
M_swp()		/* module */
{
swap_manager();
}			/* end of M_swp */
M_gat()		/* module */
{
GATemt();
}			/* end of M_gat */
M_psd()		/* module */
{
}			/* end of M_psd */
M_TII_acc()		/* module */
{
}			/* end of M_TII_acc */
M_mem_par()		/* module */
{
}			/* end of M_mem_par */
typeCall()		/* procedure */
{
typeCardinal();
typeString();
typeString();
}			/* end of typeCall */
typeParams()		/* procedure */
{
typeOctal();
typeOctal();
typeChar();
typeEOL();
typeEOL();
}			/* end of typeParams */
audit_gen()		/* procedure */
{
typeLine();
U_AUDIT();
}			/* end of audit_gen */
ker_proc()		/* process */
{
GAToutward();
result = equ_seid();
typeCall();
typeEOL();
typeString();
typeString();
typeString();
typeString();
typeString();
typeString();
typeCardinal();
typeEOL();
result = MEMreadParam();
typeParams();
result = MEMcoerceSstatus();
result = SMCLbuildSegment();
result = IOCK_close();
result = MEMcoerceSeid();
MEMcoerceOM();
result = IOCK_create();
result = MEMcoerceIoFunct();
result = MEMcoercePBlock();
result = MEMcoercePBlock();
result = IOCK_device_function();
result = INVfork();
result = MEMcoerceSeid();
result = IOCK_get_file_status();
result = MEMcoerceSeid();
result = get_object_level();
result = MEMcoerceSeid();
result = PSDgetStatus();
result = MEMcoerceSeid();
result = SMCLgetSegmentStatus();
result = call_priv();
result = PSEpseudoReturn();
result = MEMcoerceSeid();
result = INVinvoke();
result = MEMcoerceSeid();
result = IOFK_link();
result = MEMcoerceSeid();
result = IOFK_mount();
PSDnap();
result = MEMcoerceSeid();
MEMcoerceOM();
result = IOCK_open();
result = MEMcoerceSeid();
result = PSDpost();
result = MEMcoercePBlock();
result = IOCK_read_block();
result = PSEsetPseLev();
result = PSDreceive();
result = MEMcoerceSeid();
result = PSDrelease();
typeCall();
typeSeid();
typeEOL();
result = equ_seid();
PSDfatal();
result = SMCLreleaseSegment();
result = MEMcoerceVloc();
result = SMCLremap();
result = MEMcoerceSeid();
result = MEMcoerceVloc();
result = SMCLrendezvousSegment();
result = MEMcoerceSeid();
result = MEMcoerceSeid();
result = MEMcoerceSeid();
result = set_object_level();
result = MEMcoerceSeid();
MEMcoercePstatus();
result = PSDsetStatus();
result = MEMcoerceSeid();
result = MEMcoerceSstatus();
result = SMCLsetSegmentStatus();
result = MEMcoerceSeid();
result = PSDksignal();
result = MEMcoerceSeid();
result = INVspawn();
result = MEMcoerceSeid();
result = IOFK_unlink();
result = IOFK_unmount();
result = PSDwalk_process_table();
result = MEMcoercePBlock();
result = IOCK_write_block();
result = PSEsetPseLev();
result = MEMcoerceSeid();
result = set_da();
result = MEMcoerceSeid();
result = kset_priv();
set_real_id();
result = SMCLboot();
typeLine();
result = SMEAlock();
result = SMEAunlock();
audit_gen();
SMEAreleaseProcess();
IOCclose_all();
SMCLreleaseProcess();
PSDdelete();
typeLine();
SMCLinitialSegment();
typeLine();
set_priv();
typeCall();
typeString();
typeCardinal();
typeEOL();
typeParams();
MEMwriteParam();
typeParams();
audit_gen();
typeLine();
result = random();
DEVdelay();
}			/* end of ker_proc */
M_typewriter()		/* module */
{
}			/* end of M_typewriter */
addssd()		/* procedure */
{
}			/* end of addssd */
addc32()		/* procedure */
{
addssd();
addssd();
addssd();
}			/* end of addc32 */
makec32()		/* procedure */
{
}			/* end of makec32 */
cmpCard32()		/* procedure */
{
}			/* end of cmpCard32 */
subc32()		/* procedure */
{
result = cmpCard32();
}			/* end of subc32 */
divcode()		/* procedure */
{
}			/* end of divcode */
divc32()		/* procedure */
{
divcode();
}			/* end of divc32 */
mul32()		/* procedure */
{
}			/* end of mul32 */
mulc32()		/* procedure */
{
result = mul32();
}			/* end of mulc32 */
incc32()		/* procedure */
{
addssd();
addssd();
}			/* end of incc32 */
M_typeKtype()		/* module */
{
}			/* end of M_typeKtype */
equ_seid()		/* procedure */
{
}			/* end of equ_seid */
test_priv()		/* procedure */
{
}			/* end of test_priv */
set_priv()		/* procedure */
{
}			/* end of set_priv */
sub_cpt()		/* procedure */
{
}			/* end of sub_cpt */
cv_blkad_bytad()		/* procedure */
{
}			/* end of cv_blkad_bytad */
cv_bytad_blkad()		/* procedure */
{
}			/* end of cv_bytad_blkad */
PUALalloc()		/* procedure */
{
}			/* end of PUALalloc */
PUALselect()		/* procedure */
{
}			/* end of PUALselect */
PUALfree()		/* procedure */
{
}			/* end of PUALfree */
PUALmove()		/* procedure */
{
}			/* end of PUALmove */
PUALverify()		/* procedure */
{
}			/* end of PUALverify */
PUALinitialize()		/* procedure */
{
}			/* end of PUALinitialize */
OSALalloc()		/* procedure */
{
}			/* end of OSALalloc */
OSALfree()		/* procedure */
{
}			/* end of OSALfree */
OSALinitialize()		/* procedure */
{
}			/* end of OSALinitialize */
SMXflow()		/* procedure */
{
result = test_priv();
result = sub_cpt();
result = test_priv();
result = test_priv();
result = sub_cpt();
result = test_priv();
}			/* end of SMXflow */
SMXdap()		/* procedure */
{
result = test_priv();
result = test_priv();
}			/* end of SMXdap */
SIGsemInit()		/* procedure */
{
}			/* end of SIGsemInit */
SIGsemP()		/* procedure */
{
wait();
}			/* end of SIGsemP */
SIGsemV()		/* procedure */
{
send();
}			/* end of SIGsemV */
SIGawaited()		/* procedure */
{
}			/* end of SIGawaited */
STRpseidVerify()		/* procedure */
{
}			/* end of STRpseidVerify */
STRgetTii()		/* procedure */
{
result = STRpseidVerify();
}			/* end of STRgetTii */
STRsetTii()		/* procedure */
{
result = STRpseidVerify();
}			/* end of STRsetTii */
STRuptSeid()		/* procedure */
{
}			/* end of STRuptSeid */
typeSCH()		/* procedure */
{
result = STRuptSeid();
typeString();
typeCardinal();
typeString();
typeInteger();
typeLine();
}			/* end of typeSCH */
call_priv()		/* procedure */
{
result = STRgetTii();
result = test_priv();
}			/* end of call_priv */
owner_check()		/* procedure */
{
result = STRgetTii();
result = test_priv();
}			/* end of owner_check */
M_clock()		/* module */
{
driver();
}			/* end of M_clock */
DEVclockTick()		/* procedure */
{
wait();
}			/* end of DEVclockTick */
DEVclockSecond()		/* procedure */
{
wait();
}			/* end of DEVclockSecond */
DEVtimeStamp()		/* procedure */
{
}			/* end of DEVtimeStamp */
DEVsetClock()		/* procedure */
{
}			/* end of DEVsetClock */
map_mem()		/* procedure */
{
}			/* end of map_mem */
remap_mem()		/* procedure */
{
}			/* end of remap_mem */
mem_convert()		/* procedure */
{
}			/* end of mem_convert */
move_mem()		/* procedure */
{
}			/* end of move_mem */
read_acc()		/* procedure */
{
map_mem();
move_mem();
remap_mem();
}			/* end of read_acc */
MEMreadPhys()		/* procedure */
{
mem_convert();
read_acc();
}			/* end of MEMreadPhys */
write_acc()		/* procedure */
{
map_mem();
move_mem();
remap_mem();
}			/* end of write_acc */
MEMwritePhys()		/* procedure */
{
mem_convert();
write_acc();
}			/* end of MEMwritePhys */
clear_block()		/* procedure */
{
}			/* end of clear_block */
MEMclearPhys()		/* procedure */
{
mem_convert();
map_mem();
clear_block();
remap_mem();
}			/* end of MEMclearPhys */
MEMclearBlock()		/* procedure */
{
map_mem();
clear_block();
remap_mem();
}			/* end of MEMclearBlock */
adrppt()		/* procedure */
{
}			/* end of adrppt */
sizppt()		/* procedure */
{
}			/* end of sizppt */
numppt()		/* procedure */
{
}			/* end of numppt */
setend()		/* procedure */
{
}			/* end of setend */
get_baseds()		/* procedure */
{
}			/* end of get_baseds */
CPUtype()		/* procedure */
{
}			/* end of CPUtype */
error_print()		/* procedure */
{
typeString();
typeCardinal();
typeString();
typeCardinal();
typeString();
typeString();
typeString();
typeString();
typeCardinal();
typeString();
typeString();
typeString();
typeString();
typeCardinal();
typeString();
typeCardinal();
typeEOL();
}			/* end of error_print */
QUEprioSearch()		/* procedure */
{
}			/* end of QUEprioSearch */
QUEremoveElement()		/* procedure */
{
}			/* end of QUEremoveElement */
QUEinsertElement()		/* procedure */
{
result = QUEprioSearch();
SIGsemV();
}			/* end of QUEinsertElement */
QUEnextReady()		/* procedure */
{
SIGsemP();
result = STRuptSeid();
QUEremoveElement();
}			/* end of QUEnextReady */
QUEhelpSearch()		/* procedure */
{
}			/* end of QUEhelpSearch */
QUEswapHelp()		/* procedure */
{
result = QUEhelpSearch();
result = QUEhelpSearch();
SIGsemP();
QUEremoveElement();
QUEinsertElement();
}			/* end of QUEswapHelp */
SCHprimGrant()		/* procedure */
{
QUEinsertElement();
}			/* end of SCHprimGrant */
SWPmapIn()		/* procedure */
{
typeLine();
SIGsemP();
typeChar();
}			/* end of SWPmapIn */
SWPmapOut()		/* procedure */
{
typeChar();
SIGsemV();
typeLine();
}			/* end of SWPmapOut */
SWPprocMapIn()		/* procedure */
{
SWPmapIn();
}			/* end of SWPprocMapIn */
random()		/* procedure */
{
}			/* end of random */
SACaudit()		/* procedure */
{
}			/* end of SACaudit */
SACcheck()		/* procedure */
{
result = STRgetTii();
result = SMXflow();
result = SMXdap();
SACaudit();
}			/* end of SACcheck */
STMGassignEntry()		/* procedure */
{
result = PUALalloc();
}			/* end of STMGassignEntry */
STMGremoveEntry()		/* procedure */
{
result = PUALfree();
}			/* end of STMGremoveEntry */
STMGseidIndex()		/* procedure */
{
result = equ_seid();
}			/* end of STMGseidIndex */
STMGgetTii()		/* procedure */
{
result = STMGseidIndex();
}			/* end of STMGgetTii */
SPADuseMem()		/* procedure */
{
result = OSALalloc();
}			/* end of SPADuseMem */
VMMGsegRange()		/* procedure */
{
}			/* end of VMMGsegRange */
testBlock()		/* procedure */
{
SWPprocMapIn();
result = VMMGsegRange();
SWPmapOut();
}			/* end of testBlock */
transAddr()		/* procedure */
{
addc32();
}			/* end of transAddr */
VMMGblockTest()		/* procedure */
{
result = testBlock();
}			/* end of VMMGblockTest */
VMMGblockTrans()		/* procedure */
{
result = testBlock();
transAddr();
}			/* end of VMMGblockTrans */
VMMGlockBlock()		/* procedure */
{
addc32();
result = testBlock();
transAddr();
}			/* end of VMMGlockBlock */
VMMGunlockBlock()		/* procedure */
{
result = STMGseidIndex();
SCHsegmentFree();
}			/* end of VMMGunlockBlock */
MEMgetAdr()		/* procedure */
{
result = VMMGblockTrans();
}			/* end of MEMgetAdr */
MEMadrValidate()		/* procedure */
{
result = VMMGblockTest();
}			/* end of MEMadrValidate */
MEMread()		/* procedure */
{
result = MEMgetAdr();
MEMreadPhys();
}			/* end of MEMread */
MEMwrite()		/* procedure */
{
result = MEMgetAdr();
MEMwritePhys();
}			/* end of MEMwrite */
MEMclearMem()		/* procedure */
{
result = MEMgetAdr();
MEMclearPhys();
}			/* end of MEMclearMem */
MAPnucleusToIndex()		/* procedure */
{
}			/* end of MAPnucleusToIndex */
MAPfindMapIndex()		/* procedure */
{
}			/* end of MAPfindMapIndex */
MAPnucleusToUser()		/* procedure */
{
result = MAPnucleusToIndex();
result = MAPfindMapIndex();
}			/* end of MAPnucleusToUser */
MAPuserToIndex()		/* procedure */
{
result = equ_seid();
}			/* end of MAPuserToIndex */
MAPgatAdr()		/* procedure */
{
}			/* end of MAPgatAdr */
MAPpush()		/* procedure */
{
}			/* end of MAPpush */
MAPpushGate()		/* procedure */
{
typeLine();
MAPgatAdr();
SWPprocMapIn();
MAPpush();
SWPmapOut();
typeString();
typeCardinal();
typeLine();
}			/* end of MAPpushGate */
MAPsetGate()		/* procedure */
{
result = MAPuserToIndex();
MAPpushGate();
}			/* end of MAPsetGate */
MAPadjustKSP()		/* procedure */
{
result = MAPnucleusToIndex();
typeLine();
typeString();
typeCardinal();
typeLine();
typeString();
typeInteger();
result = MAPnucleusToUser();
MAPpushGate();
}			/* end of MAPadjustKSP */
pp_get()		/* procedure */
{
}			/* end of pp_get */
MAPinitMap()		/* procedure */
{
pp_get();
result = MAPnucleusToIndex();
SIGsemV();
SIGsemP();
typeLine();
}			/* end of MAPinitMap */
MAPgetPD()		/* procedure */
{
}			/* end of MAPgetPD */
MAPsetMap()		/* process */
{
SIGsemP();
send();
result = SIGawaited();
typeLine();
QUEnextReady();
typeString();
typeInteger();
typeLine();
result = MAPuserToIndex();
MAPgetPD();
result = MAPnucleusToIndex();
typeString();
typeInteger();
typeLine();
result = MAPfindMapIndex();
SWPprocMapIn();
SWPmapOut();
typeLine();
MAPpushGate();
SCHprimGrant();
SIGsemV();
}			/* end of MAPsetMap */
pause()		/* process */
{
wait();
typeLine();
}			/* end of pause */
map_reset()		/* process */
{
typeLine();
SIGsemV();
typeLine();
SIGsemP();
typeLine();
result = MAPuserToIndex();
SWPprocMapIn();
SWPmapOut();
SWPpcsFree();
SIGsemV();
}			/* end of map_reset */
MAPresetOther()		/* procedure */
{
SIGsemP();
send();
SIGsemV();
SIGsemP();
}			/* end of MAPresetOther */
MAPresetMap()		/* procedure */
{
MAPresetOther();
typeString();
typeInteger();
typeLine();
}			/* end of MAPresetMap */
PSDfatal()		/* procedure */
{
typeString();
typeInteger();
typeLine();
PSDkcallCancel();
MAPsetGate();
typeSCH();
}			/* end of PSDfatal */
M_mes_buf()		/* module */
{
}			/* end of M_mes_buf */
M_pse()		/* module */
{
}			/* end of M_pse */
M_mes()		/* module */
{
SIGsemInit();
}			/* end of M_mes */
M_drivers()		/* module */
{
software_trap();
software_trap();
software_trap();
software_trap();
software_trap();
software_trap();
software_trap();
software_trap();
}			/* end of M_drivers */
back_up()		/* procedure */
{
typeString();
typeInteger();
typeString();
typeCardinal();
typeLine();
}			/* end of back_up */
DEVpseudoGen()		/* process */
{
wait_pse();
typeLine();
result = MAPnucleusToUser();
DEVtimeStamp();
typeString();
typeCardinal();
typeLine();
SWPprocMapIn();
back_up();
back_up();
SWPmapOut();
typeString();
typeCardinal();
typeLine();
PSEpseudoGen();
}			/* end of DEVpseudoGen */
K_AUDIT()		/* procedure */
{
SIGsemP();
DEVdelayCancel();
}			/* end of K_AUDIT */
U_AUDIT()		/* procedure */
{
result = equ_seid();
result = SCHsemP();
K_AUDIT();
SCHsemV();
}			/* end of U_AUDIT */
MESauditReceive()		/* procedure */
{
result = equ_seid();
SIGsemV();
}			/* end of MESauditReceive */
IOUopenCountCheck()		/* procedure */
{
}			/* end of IOUopenCountCheck */
IOUcloseCount()		/* procedure */
{
}			/* end of IOUcloseCount */
calcCheck()		/* procedure */
{
}			/* end of calcCheck */
IOSprivilegeCheck()		/* procedure */
{
result = STRgetTii();
result = test_priv();
}			/* end of IOSprivilegeCheck */
IOSaccessCheck()		/* procedure */
{
result = IOSprivilegeCheck();
result = SACcheck();
result = equ_seid();
}			/* end of IOSaccessCheck */
M_IODtrap()		/* module */
{
cpu_error_process();
}			/* end of M_IODtrap */
M_IODnew()		/* module */
{
}			/* end of M_IODnew */
M_IODint()		/* module */
{
}			/* end of M_IODint */
M_IODtimer()		/* module */
{
timingProcess();
}			/* end of M_IODtimer */
M_IODbus()		/* module */
{
}			/* end of M_IODbus */
M_IODqueue()		/* module */
{
}			/* end of M_IODqueue */
M_IOTqueue()		/* module */
{
}			/* end of M_IOTqueue */
M_IODdevs()		/* module */
{
}			/* end of M_IODdevs */
M_IOTsys()		/* module */
{
}			/* end of M_IOTsys */
M_IODsys()		/* module */
{
}			/* end of M_IODsys */
M_IOEsys()		/* module */
{
SIGsemInit();
}			/* end of M_IOEsys */
M_IOFcacher()		/* module */
{
cacheClear();
}			/* end of M_IOFcacher */
M_IOFindex()		/* module */
{
}			/* end of M_IOFindex */
M_IOFspace()		/* module */
{
}			/* end of M_IOFspace */
M_IOFsys()		/* module */
{
SIGsemInit();
SIGsemInit();
}			/* end of M_IOFsys */
M_poft_services()		/* module */
{
}			/* end of M_poft_services */
checkOmode()		/* procedure */
{
result = IOSprivilegeCheck();
}			/* end of checkOmode */
checkBadModes()		/* procedure */
{
}			/* end of checkBadModes */
IOCinfoAccess()		/* procedure */
{
result = extractClass();
result = IOFinfoAccess();
result = IOEinfoAccess();
result = IODinfoAccess();
}			/* end of IOCinfoAccess */
IOCtiiAccess()		/* procedure */
{
result = IOCinfoAccess();
result = IOCinfoAccess();
}			/* end of IOCtiiAccess */
IOCtranquilCheck()		/* procedure */
{
result = equ_seid();
}			/* end of IOCtranquilCheck */
IOCK_get_file_status()		/* procedure */
{
result = getSubtypeItem();
result = IOCinfoAccess();
result = IOSaccessCheck();
}			/* end of IOCK_get_file_status */
IOCK_close()		/* procedure */
{
result = getPoftItem();
result = IOFK_close();
result = IOEK_close();
result = IODK_close();
setPoftItem();
}			/* end of IOCK_close */
IOCK_create()		/* procedure */
{
result = checkBadModes();
result = getSubtypeItem();
result = findUnusedOd();
result = IOFK_create();
setPoftItem();
}			/* end of IOCK_create */
IOCK_device_function()		/* procedure */
{
result = getPoftItem();
result = checkOmode();
IOFK_device_function();
IOEK_device_function();
IODK_device_function();
}			/* end of IOCK_device_function */
IOCK_open()		/* procedure */
{
result = checkBadModes();
result = extractClass();
result = getSubtypeItem();
result = findUnusedOd();
result = IOCinfoAccess();
result = IOSaccessCheck();
result = IOFK_open();
result = IOEK_open();
result = IODK_open();
setPoftItem();
result = IOCinfoAccess();
}			/* end of IOCK_open */
IOCK_read_block()		/* procedure */
{
result = IOCK_device_function();
}			/* end of IOCK_read_block */
IOCK_write_block()		/* procedure */
{
result = IOCK_device_function();
}			/* end of IOCK_write_block */
IOCclose_all()		/* procedure */
{
result = IOCK_close();
}			/* end of IOCclose_all */
IOCfork()		/* procedure */
{
result = IOFforkCount();
result = IOEforkCount();
result = IODforkCount();
}			/* end of IOCfork */
SWEmoveIn()		/* procedure */
{
result = STMGseidIndex();
cv_blkad_bytad();
result = IOEabs_device_function();
}			/* end of SWEmoveIn */
SWEmoveOut()		/* procedure */
{
result = STMGseidIndex();
cv_blkad_bytad();
result = IOEabs_device_function();
}			/* end of SWEmoveOut */
SWEclearSwap()		/* procedure */
{
addc32();
result = IOEabs_device_function();
}			/* end of SWEclearSwap */
SWEfreeSwap()		/* procedure */
{
SWEclearSwap();
result = OSALfree();
}			/* end of SWEfreeSwap */
SWEfreeMem()		/* procedure */
{
MEMclearBlock();
result = OSALfree();
}			/* end of SWEfreeMem */
SIRHbuildSupport()		/* procedure */
{
result = STMGassignEntry();
result = OSALalloc();
}			/* end of SIRHbuildSupport */
SIRHmacAcc()		/* procedure */
{
}			/* end of SIRHmacAcc */
SIRHbuild()		/* procedure */
{
result = STRgetTii();
result = test_priv();
result = test_priv();
result = SIRHmacAcc();
result = SIRHbuildSupport();
}			/* end of SIRHbuild */
SIRHpcsBuild()		/* procedure */
{
result = SIRHbuildSupport();
}			/* end of SIRHpcsBuild */
SIRHdelete()		/* procedure */
{
SWEfreeMem();
SWEfreeSwap();
STMGremoveEntry();
}			/* end of SIRHdelete */
SWEswapIn()		/* procedure */
{
SWEmoveIn();
SIRHdelete();
SWEmoveIn();
SWEmoveOut();
}			/* end of SWEswapIn */
SWEswapOut()		/* procedure */
{
SWEmoveOut();
SWEfreeMem();
}			/* end of SWEswapOut */
clear()		/* procedure */
{
}			/* end of clear */
get_pc()		/* procedure */
{
}			/* end of get_pc */
KPRpcsInitialize()		/* procedure */
{
get_pc();
}			/* end of KPRpcsInitialize */
PCSsanitize()		/* procedure */
{
clear();
KPRpcsInitialize();
KSMpcsInitialize();
}			/* end of PCSsanitize */
move_seg()		/* process */
{
SIGsemP();
typeString();
typeString();
typeString();
typeCardinal();
typeEOL();
SWEmoveIn();
SWEmoveOut();
SIGsemV();
}			/* end of move_seg */
swap_seg()		/* procedure */
{
typeString();
typeString();
typeString();
typeCardinal();
typeEOL();
SIGsemP();
SIGsemV();
SIGsemP();
SIGsemV();
}			/* end of swap_seg */
clear_ref()		/* procedure */
{
typeVarl();
swap_seg();
}			/* end of clear_ref */
find_slot()		/* procedure */
{
typeVarl();
typeLine();
typeString();
typeVarl();
clear_ref();
swap_seg();
}			/* end of find_slot */
SWPpcsRealize()		/* procedure */
{
typeVarl();
typeVarl();
result = STRuptSeid();
SIGsemP();
find_slot();
SWPmapIn();
MESempty();
SWPmapOut();
SIGsemV();
wait();
typeVarl();
typeVarl();
typeVarl();
SIGsemV();
}			/* end of SWPpcsRealize */
SWPfree()		/* procedure */
{
SIGsemP();
typeVarl();
typeLine();
SWPmapIn();
PCSsanitize();
SWPmapOut();
clear_ref();
typeVarl();
typeVarl();
send();
typeVarl();
SIGsemV();
}			/* end of SWPfree */
SWPpcsFree()		/* procedure */
{
SWPfree();
SIGsemV();
}			/* end of SWPpcsFree */
SWPmoveIn()		/* procedure */
{
SIGsemP();
SWPpcsRealize();
typeChar();
}			/* end of SWPmoveIn */
SWPmoveOut()		/* procedure */
{
typeChar();
SWPfree();
SIGsemV();
}			/* end of SWPmoveOut */
SWPgetPcs()		/* procedure */
{
result = STRpseidVerify();
SWPmoveIn();
SWPmapIn();
}			/* end of SWPgetPcs */
SWPputPcs()		/* procedure */
{
SWPmapOut();
SWPmoveOut();
}			/* end of SWPputPcs */
M_typeKtype()		/* module */
{
}			/* end of M_typeKtype */
PSMGassignEntry()		/* procedure */
{
result = PUALalloc();
}			/* end of PSMGassignEntry */
PSMGchooseEntry()		/* procedure */
{
result = PUALselect();
}			/* end of PSMGchooseEntry */
PSMGremoveEntry()		/* procedure */
{
result = PUALfree();
}			/* end of PSMGremoveEntry */
VMMGmapTest()		/* procedure */
{
result = VMMGsegRange();
}			/* end of VMMGmapTest */
VMMGestabMmu()		/* procedure */
{
}			/* end of VMMGestabMmu */
VMMGloadAddress()		/* procedure */
{
result = VMMGsegRange();
}			/* end of VMMGloadAddress */
VMMGsetup()		/* procedure */
{
result = VMMGsegRange();
VMMGestabMmu();
VMMGestabMmu();
VMMGestabMmu();
VMMGloadAddress();
}			/* end of VMMGsetup */
VMMGreset()		/* procedure */
{
}			/* end of VMMGreset */
VMMGmakeSwapSafe()		/* procedure */
{
typeSeid();
typeEOL();
typeInteger();
typeEOL();
typeInteger();
typeEOL();
typeSeid();
typeEOL();
typeBits();
typeEOL();
typeInteger();
typeEOL();
typeInteger();
}			/* end of VMMGmakeSwapSafe */
SPADfreeToSwap()		/* procedure */
{
VMMGmakeSwapSafe();
}			/* end of SPADfreeToSwap */
SPADnotFreeToSwap()		/* procedure */
{
SWPgetPcs();
SWPputPcs();
}			/* end of SPADnotFreeToSwap */
SPADalMem()		/* procedure */
{
result = OSALalloc();
}			/* end of SPADalMem */
SPADsop()		/* procedure */
{
SIGsemP();
SWPgetPcs();
SPADfreeToSwap();
SWPputPcs();
SWEswapOut();
result = SPADalMem();
SWPgetPcs();
SWPputPcs();
SIGsemV();
}			/* end of SPADsop */
SPADfindMem()		/* procedure */
{
result = SPADalMem();
SIGsemP();
SWEswapOut();
result = SPADalMem();
SIGsemV();
result = SCHswapHelp();
result = SPADsop();
}			/* end of SPADfindMem */
SPADrealize()		/* procedure */
{
SWPgetPcs();
VMMGloadAddress();
SWPputPcs();
result = SPADfindMem();
SIGsemP();
SWEswapIn();
SIGsemV();
SWPgetPcs();
VMMGloadAddress();
SWPgetPcs();
SPADfreeToSwap();
SWPputPcs();
SWPputPcs();
result = SPADsop();
}			/* end of SPADrealize */
SPADrecord()		/* procedure */
{
SWPgetPcs();
VMMGloadAddress();
SWPputPcs();
SPADnotFreeToSwap();
}			/* end of SPADrecord */
SURHattach()		/* procedure */
{
result = PSMGassignEntry();
}			/* end of SURHattach */
SURHdetach()		/* procedure */
{
PSMGremoveEntry();
}			/* end of SURHdetach */
SURHmapIn()		/* procedure */
{
VMMGsetup();
}			/* end of SURHmapIn */
SURHmapOut()		/* procedure */
{
VMMGmakeSwapSafe();
VMMGreset();
}			/* end of SURHmapOut */
segseid()		/* procedure */
{
}			/* end of segseid */
locate()		/* procedure */
{
result = equ_seid();
result = equ_seid();
result = equ_seid();
result = equ_seid();
}			/* end of locate */
append()		/* procedure */
{
}			/* end of append */
remove()		/* procedure */
{
}			/* end of remove */
notify()		/* procedure */
{
result = locate();
remove();
append();
DEVdelayCancel();
}			/* end of notify */
lock()		/* procedure */
{
SIGsemP();
result = locate();
append();
result = equ_seid();
append();
SIGsemV();
DEVdelay();
SIGsemP();
result = locate();
remove();
SIGsemV();
}			/* end of lock */
unlock()		/* procedure */
{
SIGsemP();
result = locate();
remove();
notify();
SIGsemV();
}			/* end of unlock */
proc_remove()		/* procedure */
{
result = locate();
remove();
notify();
}			/* end of proc_remove */
SMEAreleaseProcess()		/* procedure */
{
SIGsemP();
proc_remove();
proc_remove();
SIGsemV();
}			/* end of SMEAreleaseProcess */
SMEAreleaseSegment()		/* procedure */
{
result = segseid();
SIGsemP();
result = locate();
remove();
notify();
SIGsemV();
}			/* end of SMEAreleaseSegment */
SMEAlock()		/* procedure */
{
result = segseid();
result = SACcheck();
result = lock();
}			/* end of SMEAlock */
SMEAunlock()		/* procedure */
{
result = segseid();
result = unlock();
}			/* end of SMEAunlock */
SMCLlocateSegment()		/* procedure */
{
}			/* end of SMCLlocateSegment */
SMCLgetSegmentStatusSupport()		/* procedure */
{
}			/* end of SMCLgetSegmentStatusSupport */
SMCLgetSegmentStatus()		/* procedure */
{
result = STMGseidIndex();
SWPgetPcs();
result = SMCLlocateSegment();
SWPputPcs();
result = SACcheck();
SMCLgetSegmentStatusSupport();
}			/* end of SMCLgetSegmentStatus */
SMCLsetSegmentStatus()		/* procedure */
{
result = STMGseidIndex();
SIGsemP();
SWPgetPcs();
result = SMCLlocateSegment();
SWPputPcs();
result = SACcheck();
result = call_priv();
result = call_priv();
SIGsemV();
}			/* end of SMCLsetSegmentStatus */
SMCLsetSegmentLevel()		/* procedure */
{
result = STMGseidIndex();
result = SIRHmacAcc();
result = call_priv();
}			/* end of SMCLsetSegmentLevel */
SMCLbuildSegmentSupport()		/* procedure */
{
SIGsemP();
result = SIRHbuild();
SWPgetPcs();
result = SURHattach();
SWPputPcs();
SIRHdelete();
SWPgetPcs();
result = VMMGmapTest();
SURHmapIn();
SURHdetach();
SWPputPcs();
SIRHdelete();
SWPgetPcs();
SWPputPcs();
SWPputPcs();
SIGsemV();
}			/* end of SMCLbuildSegmentSupport */
SMCLbuildSegment()		/* procedure */
{
result = SMCLbuildSegmentSupport();
SCHsegSwapRequest();
}			/* end of SMCLbuildSegment */
SMCLreleaseSegmentSupport()		/* procedure */
{
SMEAreleaseSegment();
SIGsemP();
SWPgetPcs();
SURHmapOut();
SURHdetach();
SWPputPcs();
SIRHdelete();
SIGsemV();
SCHsegmentFree();
}			/* end of SMCLreleaseSegmentSupport */
SMCLreleaseSegment()		/* procedure */
{
result = SMCLreleaseSegmentSupport();
SCHsegmentFree();
}			/* end of SMCLreleaseSegment */
SMCLboot()		/* procedure */
{
result = SMCLreleaseSegmentSupport();
SWPgetPcs();
result = VMMGmapTest();
VMMGsetup();
SWPputPcs();
SCHsegSwapRequest();
}			/* end of SMCLboot */
SMCLreleaseProcess()		/* procedure */
{
result = SMCLreleaseSegmentSupport();
SCHsegmentFree();
}			/* end of SMCLreleaseProcess */
SMCLinitialSegment()		/* procedure */
{
result = SMCLbuildSegmentSupport();
SPADrecord();
}			/* end of SMCLinitialSegment */
SMCLrendezvousSegmentSupport()		/* procedure */
{
result = STMGseidIndex();
result = SMCLlocateSegment();
result = SURHattach();
result = VMMGmapTest();
SURHmapIn();
SURHdetach();
}			/* end of SMCLrendezvousSegmentSupport */
SMCLrendezvousSegment()		/* procedure */
{
result = STMGseidIndex();
result = SACcheck();
SWPgetPcs();
result = SMCLrendezvousSegmentSupport();
SWPputPcs();
SWPputPcs();
SCHsegSwapRequest();
}			/* end of SMCLrendezvousSegment */
SMCLremap()		/* procedure */
{
SWPgetPcs();
result = SACcheck();
result = VMMGmapTest();
SWPputPcs();
SWPgetPcs();
SURHmapOut();
SWPputPcs();
SIGsemP();
SWEfreeSwap();
result = OSALalloc();
SWEswapOut();
result = OSALalloc();
SWEswapOut();
SIGsemV();
SCHsegmentFree();
SWPgetPcs();
SURHmapIn();
SWPputPcs();
SCHsegSwapRequest();
}			/* end of SMCLremap */
createAndCopyUse()		/* procedure */
{
result = PSMGchooseEntry();
}			/* end of createAndCopyUse */
createAndCopyInstance()		/* procedure */
{
SMCLgetSegmentStatusSupport();
result = SIRHbuildSupport();
SWEmoveOut();
}			/* end of createAndCopyInstance */
SMPCfork()		/* procedure */
{
SIGsemP();
result = createAndCopyInstance();
SWPgetPcs();
createAndCopyUse();
VMMGsetup();
SWPputPcs();
SIGsemV();
}			/* end of SMPCfork */
attachImm()		/* procedure */
{
result = STMGseidIndex();
result = SACcheck();
result = createAndCopyInstance();
result = STRgetTii();
SWPgetPcs();
result = SMCLrendezvousSegmentSupport();
SIRHdelete();
SWPputPcs();
}			/* end of attachImm */
SMPCinvoke()		/* procedure */
{
result = SMCLreleaseSegment();
SIGsemP();
result = attachImm();
SIGsemV();
SCHsegSwapRequest();
}			/* end of SMPCinvoke */
SMPCspawn()		/* procedure */
{
SIGsemP();
result = createAndCopyInstance();
SWPgetPcs();
createAndCopyUse();
SWPputPcs();
result = attachImm();
SIGsemV();
}			/* end of SMPCspawn */
MESrelief()		/* procedure */
{
result = STRuptSeid();
SWPgetPcs();
SWPputPcs();
}			/* end of MESrelief */
begdb()		/* procedure */
{
}			/* end of begdb */
enddb()		/* procedure */
{
}			/* end of enddb */
SCHsegmentFree()		/* procedure */
{
begdb();
typeLine();
enddb();
send();
}			/* end of SCHsegmentFree */
SCHaddToWait()		/* procedure */
{
begdb();
typeVarl();
enddb();
QUEremoveElement();
QUEinsertElement();
SPADfreeToSwap();
SCHsegmentFree();
send();
MAPresetMap();
}			/* end of SCHaddToWait */
SCHeligGrant()		/* procedure */
{
begdb();
typeVarl();
enddb();
QUEinsertElement();
}			/* end of SCHeligGrant */
SCHuserGrant()		/* procedure */
{
begdb();
typeVarl();
enddb();
QUEremoveElement();
QUEinsertElement();
}			/* end of SCHuserGrant */
set_delta()		/* procedure */
{
begdb();
typeVar();
enddb();
}			/* end of set_delta */
SCHsegSwapRequest()		/* procedure */
{
begdb();
typeVarl();
enddb();
set_delta();
SCHaddToWait();
}			/* end of SCHsegSwapRequest */
SCHlowSchedulingRequest()		/* procedure */
{
begdb();
typeVarl();
enddb();
set_delta();
SCHaddToWait();
}			/* end of SCHlowSchedulingRequest */
SCHreschedule()		/* procedure */
{
begdb();
typeVarl();
enddb();
set_delta();
QUEinsertElement();
}			/* end of SCHreschedule */
SCHswapHelp()		/* procedure */
{
begdb();
typeVarl();
enddb();
result = QUEswapHelp();
wait();
result = STRuptSeid();
SWPpcsFree();
begdb();
typeVar();
typeCardinal();
typeEOL();
enddb();
}			/* end of SCHswapHelp */
SCHsemInit()		/* procedure */
{
}			/* end of SCHsemInit */
SCHprimWaitGrant()		/* procedure */
{
QUEremoveElement();
QUEinsertElement();
}			/* end of SCHprimWaitGrant */
sem_validate()		/* procedure */
{
}			/* end of sem_validate */
SCHsemPdec()		/* procedure */
{
sem_validate();
}			/* end of SCHsemPdec */
SCHsemP()		/* procedure */
{
result = SCHsemPdec();
SCHaddToWait();
}			/* end of SCHsemP */
SCHsemV()		/* procedure */
{
sem_validate();
result = STRuptSeid();
SCHuserGrant();
SCHprimWaitGrant();
}			/* end of SCHsemV */
SCHsemPbreak()		/* procedure */
{
result = STRpseidVerify();
SCHuserGrant();
SCHprimWaitGrant();
}			/* end of SCHsemPbreak */
DEVclock()		/* process */
{
wait();
DEVclockTick();
result = STRuptSeid();
PSEpseudoInt();
PSEpseudoInt();
SCHuserGrant();
}			/* end of DEVclock */
DEVtimer()		/* procedure */
{
send();
}			/* end of DEVtimer */
DEVdelay()		/* procedure */
{
typeString();
typeInteger();
typeString();
typeCardinal();
typeLine();
DEVtimer();
SCHaddToWait();
}			/* end of DEVdelay */
DEVdelayCancel()		/* procedure */
{
SCHuserGrant();
}			/* end of DEVdelayCancel */
M_access()		/* module */
{
}			/* end of M_access */
nuc_save()		/* procedure */
{
save();
}			/* end of nuc_save */
nuc_switch()		/* procedure */
{
PSEpseudoPending();
typeString();
typeOctal();
typeString();
typeOctal();
typeEOL();
result = equ_seid();
SCHlowSchedulingRequest();
result = equ_seid();
typeString();
typeCardinal();
typeString();
typeCardinal();
typeString();
typeCardinal();
typeLine();
typeString();
typeOctal();
typeString();
typeOctal();
typeEOL();
switch();
}			/* end of nuc_switch */
swap_manager()		/* process */
{
SIGsemP();
typeLine();
QUEnextReady();
typeString();
typeInteger();
typeLine();
typeString();
typeInteger();
typeLine();
result = SPADrealize();
SWPpcsRealize();
SCHeligGrant();
SCHreschedule();
}			/* end of swap_manager */
M_gat_inward()		/* module */
{
gat_emt();
}			/* end of M_gat_inward */
GATemt()		/* process */
{
emt_wait();
typeLine();
MAPadjustKSP();
}			/* end of GATemt */
GATjump()		/* procedure */
{
}			/* end of GATjump */
GAToutward()		/* procedure */
{
MAPinitMap();
typeSCH();
typeString();
typeCardinal();
typeString();
typeCardinal();
typeString();
typeInteger();
typeLine();
GATjump();
typeString();
typeCardinal();
typeString();
typeCardinal();
typeString();
typeInteger();
typeLine();
}			/* end of GAToutward */
PSDsecure()		/* procedure */
{
result = STRgetTii();
result = SACcheck();
}			/* end of PSDsecure */
PSDrelease()		/* procedure */
{
result = PSDsecure();
result = STRgetTii();
result = owner_check();
SACaudit();
}			/* end of PSDrelease */
M_psd_new()		/* module */
{
SIGsemInit();
SIGsemInit();
PSDrelease();
}			/* end of M_psd_new */
M_psd_stat()		/* module */
{
}			/* end of M_psd_stat */
M_psd_ipc()		/* module */
{
SIGsemInit();
}			/* end of M_psd_ipc */
PSDnap()		/* procedure */
{
DEVdelay();
}			/* end of PSDnap */
PSDwalk_process_table()		/* procedure */
{
result = call_priv();
result = STRuptSeid();
}			/* end of PSDwalk_process_table */
M_psd_can()		/* module */
{
}			/* end of M_psd_can */
M_inv()		/* module */
{
}			/* end of M_inv */
get_tii()		/* procedure */
{
typeLine();
result = STRgetTii();
result = STMGgetTii();
result = call_priv();
result = IOCtiiAccess();
SACaudit();
}			/* end of get_tii */
set_tii()		/* procedure */
{
typeLine();
result = STRsetTii();
result = SMCLsetSegmentLevel();
result = IOCtiiAccess();
}			/* end of set_tii */
get_object_level()		/* procedure */
{
result = get_tii();
result = SACcheck();
}			/* end of get_object_level */
set_object_level()		/* procedure */
{
result = get_tii();
result = call_priv();
set_tii();
}			/* end of set_object_level */
set_da()		/* procedure */
{
result = get_tii();
result = owner_check();
result = SACcheck();
set_tii();
}			/* end of set_da */
kset_priv()		/* procedure */
{
result = get_tii();
result = call_priv();
set_tii();
}			/* end of kset_priv */
set_real_id()		/* procedure */
{
}			/* end of set_real_id */
MEMreadParam()		/* procedure */
{
result = MEMread();
result = MEMread();
}			/* end of MEMreadParam */
MEMwriteParam()		/* procedure */
{
result = MEMwrite();
}			/* end of MEMwriteParam */
MEMcoerceVloc()		/* procedure */
{
}			/* end of MEMcoerceVloc */
MEMcoercePBlock()		/* procedure */
{
result = MEMcoerceVloc();
typeString();
typeCardinal();
typeCardinal();
typeCardinal();
typeCardinal();
typeEOL();
}			/* end of MEMcoercePBlock */
MEMcoerceSeid()		/* procedure */
{
result = equ_seid();
typeString();
typeCardinal();
typeCardinal();
typeCardinal();
typeEOL();
}			/* end of MEMcoerceSeid */
MEMcoerceIoFunct()		/* procedure */
{
typeString();
typeCardinal();
typeEOL();
}			/* end of MEMcoerceIoFunct */
MEMcoerceOM()		/* procedure */
{
typeString();
typeCardinal();
typeCardinal();
typeCardinal();
typeCardinal();
typeEOL();
}			/* end of MEMcoerceOM */
MEMcoerceSstatus()		/* procedure */
{
result = MEMcoerceVloc();
typeString();
typeCardinal();
typeCardinal();
typeCardinal();
typeEOL();
}			/* end of MEMcoerceSstatus */
MEMcoercePstatus()		/* procedure */
{
result = call_priv();
}			/* end of MEMcoercePstatus */
shouldType()		/* procedure */
{
}			/* end of shouldType */
typeChar()		/* procedure */
{
result = shouldType();
}			/* end of typeChar */
typeString()		/* procedure */
{
result = shouldType();
typeChar();
}			/* end of typeString */
typeEOL()		/* procedure */
{
typeChar();
typeChar();
}			/* end of typeEOL */
typeLine()		/* procedure */
{
typeString();
typeEOL();
}			/* end of typeLine */
typeBasic()		/* procedure */
{
result = shouldType();
typeChar();
typeChar();
}			/* end of typeBasic */
typeByte()		/* procedure */
{
typeBasic();
}			/* end of typeByte */
typeBoolean()		/* procedure */
{
typeByte();
}			/* end of typeBoolean */
typeInteger()		/* procedure */
{
result = shouldType();
typeString();
typeChar();
typeBasic();
}			/* end of typeInteger */
typeCardinal()		/* procedure */
{
typeBasic();
}			/* end of typeCardinal */
typeOctal()		/* procedure */
{
typeChar();
typeBasic();
}			/* end of typeOctal */
typeBits()		/* procedure */
{
typeBasic();
}			/* end of typeBits */
typeVar()		/* procedure */
{
typeString();
typeCardinal();
}			/* end of typeVar */
typeVarl()		/* procedure */
{
typeVar();
typeEOL();
}			/* end of typeVarl */
typeSeid()		/* procedure */
{
typeByte();
typeByte();
typeCardinal();
}			/* end of typeSeid */
driver()		/* process */
{
doio();
DEVgetPD();
send();
send();
}			/* end of driver */
MESgetBlock()		/* procedure */
{
}			/* end of MESgetBlock */
MESsetBlock()		/* procedure */
{
}			/* end of MESsetBlock */
MESnodeAllocate()		/* procedure */
{
}			/* end of MESnodeAllocate */
MESnodeDeallocate()		/* procedure */
{
}			/* end of MESnodeDeallocate */
MESqueueAdd()		/* procedure */
{
result = MESnodeAllocate();
MESgetBlock();
MESsetBlock();
MESsetBlock();
}			/* end of MESqueueAdd */
MESqueueDelete()		/* procedure */
{
MESgetBlock();
MESnodeDeallocate();
}			/* end of MESqueueDelete */
MESqueueGet()		/* procedure */
{
SWPprocMapIn();
MESqueueDelete();
SWPmapOut();
MESqueueDelete();
}			/* end of MESqueueGet */
MESemptyQueue()		/* procedure */
{
MESqueueDelete();
MESqueueAdd();
}			/* end of MESemptyQueue */
MESempty()		/* procedure */
{
MESemptyQueue();
MESemptyQueue();
}			/* end of MESempty */
PSprevious()		/* procedure */
{
}			/* end of PSprevious */
PSEpendingLevel()		/* procedure */
{
}			/* end of PSEpendingLevel */
PSEpseudoGen()		/* procedure */
{
typeLine();
typeLine();
result = MEMread();
PSDfatal();
SWPprocMapIn();
typeString();
typeOctal();
typeOctal();
typeCardinal();
SWPmapOut();
typeString();
typeCardinal();
typeLine();
PSDfatal();
typeOctal();
typeOctal();
typeCardinal();
typeString();
typeCardinal();
typeLine();
PSprevious();
PSprotect();
SWPmapOut();
result = MEMwrite();
PSDfatal();
}			/* end of PSEpseudoGen */
PSEpseudoPending()		/* procedure */
{
result = MEMadrValidate();
result = PSEpendingLevel();
result = MESqueueGet();
DEVtimeStamp();
result = MESqueueGet();
SWPprocMapIn();
SWPmapOut();
PSEpseudoGen();
}			/* end of PSEpseudoPending */
PSEpseudoInt()		/* procedure */
{
PSDkcallCancel();
}			/* end of PSEpseudoInt */
PSEsetPseLev()		/* procedure */
{
}			/* end of PSEsetPseLev */
PSEpseudoReturn()		/* procedure */
{
typeLine();
result = MEMread();
typeString();
typeCardinal();
typeString();
typeCardinal();
typeLine();
PSprotect();
typeString();
typeCardinal();
typeLine();
result = PSEsetPseLev();
}			/* end of PSEpseudoReturn */
MESasynchRequest()		/* procedure */
{
SIGsemP();
MESrelief();
SIGsemV();
}			/* end of MESasynchRequest */
MESasynchCompletion()		/* procedure */
{
result = STRpseidVerify();
MESqueueAdd();
PSEpseudoInt();
}			/* end of MESasynchCompletion */
software_trap()		/* process */
{
doio();
DEVgetFPPstatus();
DEVgetPD();
send();
}			/* end of software_trap */
wait_pse()		/* procedure */
{
wait();
}			/* end of wait_pse */
cpu_error_process()		/* process */
{
doio();
}			/* end of cpu_error_process */
try_read()		/* procedure */
{
}			/* end of try_read */
IODtest_bus()		/* procedure */
{
try_read();
}			/* end of IODtest_bus */
IODnewCtl()		/* procedure */
{
result = IODtest_bus();
SIGsemInit();
}			/* end of IODnewCtl */
init_queue_item()		/* procedure */
{
result = SCHsemInit();
SIGsemInit();
}			/* end of init_queue_item */
IODnewQueues()		/* procedure */
{
init_queue_item();
}			/* end of IODnewQueues */
IODnewOpens()		/* procedure */
{
}			/* end of IODnewOpens */
IODnewUnit()		/* procedure */
{
SIGsemInit();
SIGsemInit();
SIGsemInit();
SIGsemInit();
}			/* end of IODnewUnit */
IODnewDevice()		/* procedure */
{
IODnewUnit();
IODnewQueues();
IODnewOpens();
}			/* end of IODnewDevice */
IODnewDuplexDevice()		/* procedure */
{
IODnewUnit();
IODnewQueues();
IODnewUnit();
IODnewQueues();
IODnewOpens();
}			/* end of IODnewDuplexDevice */
IODnewTerminal()		/* procedure */
{
IODnewDuplexDevice();
init_queue_item();
SIGsemInit();
SIGsemInit();
addc32();
}			/* end of IODnewTerminal */
IODintHandle()		/* process */
{
send();
doio();
}			/* end of IODintHandle */
M_IODtimerMonitor()		/* module */
{
}			/* end of M_IODtimerMonitor */
timingProcess()		/* process */
{
DEVclockSecond();
timeoutCheck();
}			/* end of timingProcess */
IODsetUnibusMap()		/* procedure */
{
}			/* end of IODsetUnibusMap */
IODunibusMapAllocate()		/* procedure */
{
}			/* end of IODunibusMapAllocate */
IODunibusMapAttach()		/* procedure */
{
mulc32();
}			/* end of IODunibusMapAttach */
IODerrorReport()		/* procedure */
{
typeString();
typeChar();
typeChar();
typeCardinal();
typeChar();
typeCardinal();
typeString();
typeString();
typeString();
typeString();
typeString();
typeString();
typeString();
typeString();
typeCardinal();
typeChar();
typeString();
typeBits();
typeLine();
}			/* end of IODerrorReport */
validateRequest()		/* procedure */
{
result = incc32();
result = cmpCard32();
}			/* end of validateRequest */
putreq()		/* procedure */
{
result = validateRequest();
result = SCHsemP();
SIGsemP();
result = VMMGlockBlock();
result = MESasynchRequest();
SIGsemP();
SIGsemV();
SIGsemP();
SIGsemV();
VMMGunlockBlock();
SCHsemV();
SIGsemV();
}			/* end of putreq */
getreq()		/* procedure */
{
SCHsemV();
SIGsemV();
SIGsemP();
}			/* end of getreq */
donereq()		/* procedure */
{
IODerrorReport();
VMMGunlockBlock();
MESasynchCompletion();
SIGsemV();
SIGsemP();
SIGsemV();
}			/* end of donereq */
putecho()		/* procedure */
{
SIGsemP();
SIGsemV();
SIGsemP();
SIGsemV();
}			/* end of putecho */
IODswitch_path()		/* procedure */
{
result = SCHsemPdec();
SCHsemV();
}			/* end of IODswitch_path */
IOTswitch()		/* procedure */
{
IODswitch_path();
IODswitch_path();
}			/* end of IOTswitch */
IOTfinishInputWait()		/* procedure */
{
MESasynchCompletion();
}			/* end of IOTfinishInputWait */
IOTenqueueChar()		/* procedure */
{
typeString();
typeChar();
typeString();
typeCardinal();
typeLine();
result = IOTswitch();
SIGsemV();
SIGsemP();
typeLine();
}			/* end of IOTenqueueChar */
IOTterminal()		/* process */
{
SIGsemP();
typeLine();
SIGsemV();
putecho();
IOTfinishInputWait();
getreq();
MEMwritePhys();
donereq();
}			/* end of IOTterminal */
M_IODRK05()		/* module */
{
}			/* end of M_IODRK05 */
M_IODRWP()		/* module */
{
}			/* end of M_IODRWP */
M_IODRWS04()		/* module */
{
}			/* end of M_IODRWS04 */
M_IODTWE16()		/* module */
{
}			/* end of M_IODTWE16 */
M_IODTM11()		/* module */
{
}			/* end of M_IODTM11 */
M_IODPR11()		/* module */
{
}			/* end of M_IODPR11 */
M_IODPC11()		/* module */
{
}			/* end of M_IODPC11 */
M_IODLP11()		/* module */
{
}			/* end of M_IODLP11 */
M_IODDL11()		/* module */
{
}			/* end of M_IODDL11 */
M_IODDH11()		/* module */
{
}			/* end of M_IODDH11 */
M_IODLHDH()		/* module */
{
result = IODtest_bus();
EVinterrupt();
EVinterrupt();
IODnewDuplexDevice();
result = IODunibusMapAllocate();
IODunibusMapAttach();
result = IODunibusMapAllocate();
IODunibusMapAttach();
LHDHread();
LHDHwrite();
LHDHdevice();
LHDHtimer();
}			/* end of M_IODLHDH */
M_IODsubt()		/* module */
{
IODnewDevice();
}			/* end of M_IODsubt */
IOTfast_functions()		/* procedure */
{
result = MESasynchRequest();
result = SCHsemPdec();
SCHsemV();
IOTfinishInputWait();
result = IOTswitch();
}			/* end of IOTfast_functions */
IODlookupSeid()		/* procedure */
{
}			/* end of IODlookupSeid */
IODinfoAccess()		/* procedure */
{
result = IODlookupSeid();
mulc32();
}			/* end of IODinfoAccess */
IODforkCount()		/* procedure */
{
result = IOUopenCountCheck();
}			/* end of IODforkCount */
IODK_close()		/* procedure */
{
IOTfinishInputWait();
IOUcloseCount();
}			/* end of IODK_close */
IODK_device_function()		/* procedure */
{
IOTfast_functions();
putreq();
}			/* end of IODK_device_function */
IODK_open()		/* procedure */
{
result = IODlookupSeid();
result = IOUopenCountCheck();
}			/* end of IODK_open */
getEnode()		/* procedure */
{
IODK_device_function();
result = calcCheck();
}			/* end of getEnode */
IOEinfoAccess()		/* procedure */
{
SIGsemP();
result = IODK_open();
result = getEnode();
mulc32();
result = IODK_close();
SIGsemV();
}			/* end of IOEinfoAccess */
IOEforkCount()		/* procedure */
{
result = IOUopenCountCheck();
}			/* end of IOEforkCount */
IOEK_close()		/* procedure */
{
IOUcloseCount();
result = IODK_close();
}			/* end of IOEK_close */
IOEK_device_function()		/* procedure */
{
result = incc32();
result = cmpCard32();
addc32();
IODK_device_function();
}			/* end of IOEK_device_function */
IOEK_open()		/* procedure */
{
result = IODK_open();
result = getEnode();
result = IODK_close();
result = IOUopenCountCheck();
}			/* end of IOEK_open */
IOEabs_device_function()		/* procedure */
{
IOEK_device_function();
}			/* end of IOEabs_device_function */
readSlots()		/* procedure */
{
result = cmpCard32();
IOEK_device_function();
result = calcCheck();
typeLine();
}			/* end of readSlots */
writeSlots()		/* procedure */
{
IOEK_device_function();
}			/* end of writeSlots */
cacheGet()		/* procedure */
{
divc32();
result = readSlots();
}			/* end of cacheGet */
cacheRel()		/* procedure */
{
}			/* end of cacheRel */
cacheRewrite()		/* procedure */
{
result = calcCheck();
result = writeSlots();
}			/* end of cacheRewrite */
cacheClear()		/* procedure */
{
}			/* end of cacheClear */
itemTree()		/* procedure */
{
}			/* end of itemTree */
blockTree()		/* procedure */
{
subc32();
divc32();
}			/* end of blockTree */
moveItem()		/* procedure */
{
}			/* end of moveItem */
getKind()		/* procedure */
{
result = cacheGet();
cacheRel();
}			/* end of getKind */
findIndexSlot()		/* procedure */
{
addc32();
result = cmpCard32();
result = cacheGet();
cacheRel();
result = incc32();
}			/* end of findIndexSlot */
relIndexSlot()		/* procedure */
{
result = cacheRewrite();
}			/* end of relIndexSlot */
indirectI()		/* procedure */
{
itemTree();
result = indirectI();
result = getKind();
cacheRel();
}			/* end of indirectI */
setIndirectP()		/* procedure */
{
itemTree();
result = indirectI();
result = getKind();
moveItem();
result = cacheRewrite();
}			/* end of setIndirectP */
generateIndexItem()		/* procedure */
{
result = findIndexSlot();
result = getKind();
result = cacheRewrite();
}			/* end of generateIndexItem */
insureIndirectI()		/* procedure */
{
result = indirectI();
itemTree();
result = insureIndirectI();
result = generateIndexItem();
result = setIndirectP();
}			/* end of insureIndirectI */
getBlockAddress()		/* procedure */
{
blockTree();
result = indirectI();
result = getKind();
cacheRel();
}			/* end of getBlockAddress */
setBlockAddress()		/* procedure */
{
blockTree();
result = insureIndirectI();
result = getKind();
moveItem();
result = cacheRewrite();
}			/* end of setBlockAddress */
IOFlock_everything()		/* procedure */
{
SIGsemP();
SIGsemP();
}			/* end of IOFlock_everything */
IOFunlock_everything()		/* procedure */
{
SIGsemV();
SIGsemV();
}			/* end of IOFunlock_everything */
decomposeBlockNumber()		/* procedure */
{
divc32();
}			/* end of decomposeBlockNumber */
getAllocItem()		/* procedure */
{
result = incc32();
result = getKind();
result = cacheRewrite();
result = incc32();
result = getKind();
moveItem();
result = cacheRewrite();
}			/* end of getAllocItem */
putFreeBlocks()		/* procedure */
{
decomposeBlockNumber();
result = getAllocItem();
}			/* end of putFreeBlocks */
scrubTable()		/* procedure */
{
addc32();
IOEK_device_function();
}			/* end of scrubTable */
relSubtrees()		/* procedure */
{
result = getKind();
moveItem();
result = scrubTable();
result = relIndexSlot();
result = putFreeBlocks();
IOFunlock_everything();
IOFlock_everything();
result = relSubtrees();
}			/* end of relSubtrees */
relFile()		/* procedure */
{
result = getKind();
moveItem();
moveItem();
result = scrubTable();
result = cacheRewrite();
result = putFreeBlocks();
result = relSubtrees();
}			/* end of relFile */
getFreeBlock()		/* procedure */
{
result = getAllocItem();
mulc32();
result = incc32();
result = cmpCard32();
}			/* end of getFreeBlock */
insureBlock()		/* procedure */
{
result = getBlockAddress();
result = getFreeBlock();
result = setBlockAddress();
result = cmpCard32();
addc32();
}			/* end of insureBlock */
IOFcomposeSeid()		/* procedure */
{
}			/* end of IOFcomposeSeid */
IOFdecomposeSeid()		/* procedure */
{
result = cmpCard32();
}			/* end of IOFdecomposeSeid */
getJnode()		/* procedure */
{
result = IOFdecomposeSeid();
result = cacheGet();
moveItem();
cacheRel();
}			/* end of getJnode */
searchIOFopen()		/* procedure */
{
}			/* end of searchIOFopen */
IOFnewOpen()		/* procedure */
{
result = searchIOFopen();
}			/* end of IOFnewOpen */
IOFinfoAccess()		/* procedure */
{
IOFlock_everything();
result = getJnode();
result = searchIOFopen();
mulc32();
subc32();
result = cacheRewrite();
cacheRel();
IOFunlock_everything();
}			/* end of IOFinfoAccess */
IOFforkCount()		/* procedure */
{
result = IOUopenCountCheck();
}			/* end of IOFforkCount */
deletionCheck()		/* procedure */
{
result = getKind();
moveItem();
cacheRel();
result = relFile();
result = getKind();
result = relIndexSlot();
}			/* end of deletionCheck */
doExtent()		/* procedure */
{
result = MEMclearMem();
addc32();
IOEK_device_function();
}			/* end of doExtent */
blockIo()		/* procedure */
{
SIGsemP();
SIGsemP();
result = insureBlock();
result = cmpCard32();
result = incc32();
doExtent();
doExtent();
result = incc32();
SIGsemV();
doExtent();
SIGsemV();
}			/* end of blockIo */
IOFK_close()		/* procedure */
{
IOFlock_everything();
IOUcloseCount();
result = getKind();
moveItem();
result = cacheRewrite();
result = deletionCheck();
IOFunlock_everything();
}			/* end of IOFK_close */
IOFK_create()		/* procedure */
{
IOFlock_everything();
result = IOFdecomposeSeid();
result = IOSaccessCheck();
result = random();
result = random();
result = findIndexSlot();
result = IOFnewOpen();
result = getKind();
result = STRgetTii();
result = cacheRewrite();
IOFcomposeSeid();
result = IOUopenCountCheck();
IOFunlock_everything();
}			/* end of IOFK_create */
IOFK_device_function()		/* procedure */
{
blockIo();
divc32();
result = incc32();
result = cmpCard32();
IOFlock_everything();
result = relFile();
IOFunlock_everything();
}			/* end of IOFK_device_function */
IOFK_link()		/* procedure */
{
IOFlock_everything();
result = getJnode();
result = IOSaccessCheck();
result = cacheRewrite();
cacheRel();
IOFunlock_everything();
}			/* end of IOFK_link */
IOFK_open()		/* procedure */
{
result = getJnode();
result = searchIOFopen();
result = IOFnewOpen();
result = IOUopenCountCheck();
result = IOUopenCountCheck();
result = cacheRewrite();
cacheRel();
}			/* end of IOFK_open */
IOFK_unlink()		/* procedure */
{
IOFlock_everything();
result = getJnode();
result = IOSaccessCheck();
result = cacheRewrite();
result = searchIOFopen();
result = deletionCheck();
cacheRel();
IOFunlock_everything();
}			/* end of IOFK_unlink */
IOFK_mount()		/* procedure */
{
IOFlock_everything();
result = IOSprivilegeCheck();
result = IOEK_open();
result = getKind();
moveItem();
divc32();
result = cacheRewrite();
cacheRel();
result = IOEK_close();
cacheClear();
IOFunlock_everything();
}			/* end of IOFK_mount */
IOFK_unmount()		/* procedure */
{
IOFlock_everything();
result = IOSprivilegeCheck();
result = getAllocItem();
result = getKind();
moveItem();
result = cacheRewrite();
cacheClear();
result = IOEK_close();
IOFunlock_everything();
}			/* end of IOFK_unmount */
getPoftItem()		/* procedure */
{
}			/* end of getPoftItem */
setPoftItem()		/* procedure */
{
}			/* end of setPoftItem */
findUnusedOd()		/* procedure */
{
}			/* end of findUnusedOd */
getSubtypeItem()		/* procedure */
{
result = getPoftItem();
}			/* end of getSubtypeItem */
extractClass()		/* procedure */
{
}			/* end of extractClass */
typeMemFree()		/* procedure */
{
}			/* end of typeMemFree */
typeStorageMap()		/* procedure */
{
}			/* end of typeStorageMap */
gen_save()		/* procedure */
{
}			/* end of gen_save */
gen_res()		/* procedure */
{
}			/* end of gen_res */
sp_save()		/* procedure */
{
}			/* end of sp_save */
sp_res()		/* procedure */
{
}			/* end of sp_res */
fl_save()		/* procedure */
{
}			/* end of fl_save */
fl_restore()		/* procedure */
{
}			/* end of fl_restore */
STKsp_save()		/* procedure */
{
}			/* end of STKsp_save */
STKsp_res()		/* procedure */
{
}			/* end of STKsp_res */
pdr_save()		/* procedure */
{
}			/* end of pdr_save */
save()		/* procedure */
{
STKsp_save();
sp_save();
gen_save();
fl_save();
pdr_save();
pdr_save();
pdr_save();
pdr_save();
}			/* end of save */
switch()		/* procedure */
{
STKsp_res();
sp_res();
gen_res();
fl_restore();
}			/* end of switch */
gat_emt()		/* process */
{
doio();
GATcode();
send();
}			/* end of gat_emt */
emt_wait()		/* procedure */
{
wait();
}			/* end of emt_wait */
PSDcreate()		/* procedure */
{
SACaudit();
result = random();
result = random();
result = STRuptSeid();
SWPgetPcs();
SWPputPcs();
}			/* end of PSDcreate */
PSDrelease()		/* process */
{
SIGsemV();
SIGsemP();
typeString();
typeInteger();
typeLine();
MAPresetOther();
typeLine();
SWPprocMapIn();
MESempty();
SWPmapOut();
typeLine();
SWPpcsFree();
typeLine();
QUEremoveElement();
typeLine();
send();
}			/* end of PSDrelease */
PSDdelete()		/* procedure */
{
SIGsemP();
SIGsemV();
wait();
}			/* end of PSDdelete */
PSDgetStatus()		/* procedure */
{
result = PSDsecure();
result = equ_seid();
}			/* end of PSDgetStatus */
PSDsetStatus()		/* procedure */
{
result = PSDrelease();
result = call_priv();
DEVtimer();
DEVtimer();
DEVsetClock();
result = equ_seid();
PSprotect();
}			/* end of PSDsetStatus */
PSDpost()		/* procedure */
{
result = PSDsecure();
SACaudit();
result = STRpseidVerify();
SWPgetPcs();
MESqueueAdd();
SWPputPcs();
MESqueueAdd();
DEVdelayCancel();
PSEpseudoInt();
}			/* end of PSDpost */
PSDreceive()		/* procedure */
{
result = MESauditReceive();
result = MESqueueGet();
result = PSEpendingLevel();
DEVdelay();
result = MESauditReceive();
result = MESqueueGet();
}			/* end of PSDreceive */
PSDksignal()		/* procedure */
{
result = call_priv();
result = PSDsecure();
typeLine();
typeLine();
DEVdelay();
typeLine();
SIGsemP();
typeLine();
SWPgetPcs();
SWPputPcs();
typeLine();
PSEpseudoInt();
SIGsemV();
}			/* end of PSDksignal */
PSDkcallCancel()		/* procedure */
{
result = STRpseidVerify();
DEVdelayCancel();
SCHsemPbreak();
}			/* end of PSDkcallCancel */
INVgenFork()		/* procedure */
{
result = PSDcreate();
typeLine();
typeString();
typeInteger();
typeLine();
}			/* end of INVgenFork */
INVcopyStack()		/* procedure */
{
}			/* end of INVcopyStack */
INVpassFork()		/* procedure */
{
typeLine();
result = INVgenFork();
SWPgetPcs();
INVcopyStack();
}			/* end of INVpassFork */
INVgrant()		/* procedure */
{
typeLine();
SCHuserGrant();
}			/* end of INVgrant */
INVfork()		/* procedure */
{
typeLine();
result = INVpassFork();
result = equ_seid();
SWPputPcs();
result = SMPCfork();
IOCfork();
typeLine();
INVgrant();
typeString();
typeInteger();
typeString();
typeInteger();
typeLine();
}			/* end of INVfork */
INVsetup()		/* procedure */
{
typeLine();
typeCardinal();
typeString();
typeCardinal();
typeString();
typeCardinal();
typeLine();
result = STRgetTii();
result = STMGgetTii();
result = STRsetTii();
}			/* end of INVsetup */
INVinvoke()		/* procedure */
{
result = SMPCinvoke();
INVsetup();
}			/* end of INVinvoke */
INVspawn()		/* procedure */
{
result = INVpassFork();
result = equ_seid();
SWPputPcs();
result = SMPCspawn();
typeLine();
INVgrant();
INVsetup();
}			/* end of INVspawn */
DEVgetPD()		/* procedure */
{
}			/* end of DEVgetPD */
DEVgetPD()		/* procedure */
{
}			/* end of DEVgetPD */
DEVgetFPPstatus()		/* procedure */
{
}			/* end of DEVgetFPPstatus */
IODarmInt()		/* procedure */
{
}			/* end of IODarmInt */
IODwait()		/* procedure */
{
wait();
}			/* end of IODwait */
timeoutCheck()		/* procedure */
{
send();
}			/* end of timeoutCheck */
clearControl()		/* procedure */
{
}			/* end of clearControl */
IODdevRK05()		/* process */
{
getreq();
SIGsemP();
IODarmInt();
IODsetUnibusMap();
result = IODwait();
clearControl();
clearControl();
result = incc32();
donereq();
SIGsemV();
}			/* end of IODdevRK05 */
M_initRK05()		/* module */
{
IODnewCtl();
IODintHandle();
result = IODunibusMapAllocate();
clearControl();
IODarmInt();
result = IODwait();
clearControl();
IODnewDevice();
IODunibusMapAttach();
IODdevRK05();
SIGsemV();
}			/* end of M_initRK05 */
clearDrive()		/* procedure */
{
}			/* end of clearDrive */
IODdevRWP()		/* process */
{
getreq();
SIGsemP();
divc32();
IODarmInt();
result = IODwait();
clearDrive();
SIGsemV();
donereq();
}			/* end of IODdevRWP */
M_initRWP()		/* module */
{
IODnewCtl();
IODintHandle();
clearDrive();
IODnewDevice();
IODdevRWP();
SIGsemV();
}			/* end of M_initRWP */
clearDrive()		/* procedure */
{
}			/* end of clearDrive */
IODdevRWS04()		/* process */
{
getreq();
SIGsemP();
IODarmInt();
result = IODwait();
clearDrive();
SIGsemV();
donereq();
}			/* end of IODdevRWS04 */
M_handleRWS04()		/* module */
{
IODnewCtl();
IODintHandle();
clearDrive();
IODnewDevice();
IODdevRWS04();
SIGsemV();
}			/* end of M_handleRWS04 */
clearDrive()		/* procedure */
{
}			/* end of clearDrive */
IODdevTWE16()		/* process */
{
getreq();
SIGsemP();
IODarmInt();
result = IODwait();
clearDrive();
IODarmInt();
result = IODwait();
clearDrive();
donereq();
SIGsemV();
}			/* end of IODdevTWE16 */
M_initTWE16()		/* module */
{
IODnewCtl();
IODintHandle();
clearDrive();
IODnewDevice();
IODdevTWE16();
SIGsemV();
}			/* end of M_initTWE16 */
clearDrive()		/* procedure */
{
}			/* end of clearDrive */
IODdevTM11()		/* process */
{
getreq();
SIGsemP();
IODarmInt();
result = IODwait();
clearDrive();
IODarmInt();
result = IODwait();
typeString();
typeBits();
typeLine();
clearDrive();
donereq();
SIGsemV();
}			/* end of IODdevTM11 */
M_handleTM11()		/* module */
{
IODnewCtl();
SIGsemP();
inthandleTM11();
wait();
clearDrive();
IODnewUnit();
IODdevTM11();
SIGsemV();
}			/* end of M_handleTM11 */
IODdevPR11()		/* process */
{
getreq();
IODarmInt();
result = IODwait();
MEMwritePhys();
donereq();
}			/* end of IODdevPR11 */
M_handlePR11()		/* module */
{
IODnewCtl();
IODintHandle();
IODnewDevice();
IODdevPR11();
SIGsemV();
}			/* end of M_handlePR11 */
IODdevPC11()		/* process */
{
getreq();
MEMreadPhys();
IODarmInt();
result = IODwait();
donereq();
}			/* end of IODdevPC11 */
M_handlePC11()		/* module */
{
IODnewCtl();
IODintHandle();
IODnewDevice();
IODdevPC11();
SIGsemV();
}			/* end of M_handlePC11 */
IODdevLP11()		/* process */
{
getreq();
MEMreadPhys();
IODarmInt();
result = IODwait();
donereq();
}			/* end of IODdevLP11 */
M_handleLP11()		/* module */
{
IODnewCtl();
IODintHandle();
IODnewDevice();
IODdevLP11();
}			/* end of M_handleLP11 */
IODdevDL11out()		/* process */
{
getreq();
MEMreadPhys();
IODarmInt();
result = IODwait();
result = incc32();
donereq();
}			/* end of IODdevDL11out */
M_DL11atom()		/* module */
{
}			/* end of M_DL11atom */
IODdevDL11in()		/* process */
{
DL11getTrans();
IOTenqueueChar();
}			/* end of IODdevDL11in */
M_initDL11()		/* module */
{
IODnewCtl();
IODintHandle();
DL11in_int_handler();
IODnewTerminal();
IODdevDL11out();
IODdevDL11in();
IOTterminal();
IODnewCtl();
IODintHandle();
IODnewTerminal();
IODdevDL11out();
DL11in_int_handler();
IODdevDL11in();
IOTterminal();
}			/* end of M_initDL11 */
DH11out()		/* process */
{
getreq();
SIGsemP();
IODsetUnibusMap();
SIGsemV();
SIGsemP();
SIGsemP();
SIGsemV();
donereq();
}			/* end of DH11out */
DH11outputNotifier()		/* process */
{
IODarmInt();
result = IODwait();
SIGsemP();
SIGsemV();
SIGsemV();
}			/* end of DH11outputNotifier */
DH11in()		/* process */
{
IODarmInt();
IOTenqueueChar();
result = IODwait();
IODarmInt();
}			/* end of DH11in */
M_handleDH11()		/* module */
{
IODnewCtl();
IODnewCtl();
IODintHandle();
IODintHandle();
IODnewTerminal();
IOTterminal();
SIGsemInit();
result = IODunibusMapAllocate();
IODunibusMapAttach();
DH11out();
DH11outputNotifier();
DH11in();
SIGsemV();
SIGsemV();
}			/* end of M_handleDH11 */
M_memory()		/* module */
{
}			/* end of M_memory */
M_buf()		/* module */
{
}			/* end of M_buf */
M_events()		/* module */
{
}			/* end of M_events */
deviceInit()		/* procedure */
{
DEVclockSecond();
}			/* end of deviceInit */
deviceEnable()		/* procedure */
{
IODsetUnibusMap();
}			/* end of deviceEnable */
check_time()		/* procedure */
{
EVassert();
}			/* end of check_time */
LHDHtimer()		/* process */
{
DEVclockSecond();
check_time();
check_time();
check_time();
}			/* end of LHDHtimer */
LHDHdevice()		/* process */
{
DEVclockSecond();
SPADuseMem();
makec32();
mulc32();
bufInit();
result = deviceInit();
result = EVwait();
result = EVtest();
EVreset();
bufInit();
result = deviceInit();
EVassert();
result = bufFull();
result = EVwait();
bufSetup();
deviceEnable();
result = EVwait();
bufPut();
EVassert();
}			/* end of LHDHdevice */
LHDHread()		/* process */
{
getreq();
EVreset();
result = bufEmpty();
result = EVwait();
result = bufGet();
moveMem();
result = incc32();
bufGot();
EVassert();
donereq();
}			/* end of LHDHread */
LHDHwrite()		/* process */
{
getreq();
EVreset();
deviceEnable();
result = EVwait();
EVreset();
EVassert();
result = EVwait();
donereq();
}			/* end of LHDHwrite */
GATcode()		/* procedure */
{
}			/* end of GATcode */
inthandleTM11()		/* process */
{
send();
doio();
}			/* end of inthandleTM11 */
DL11in_int_handler()		/* process */
{
doio();
send();
}			/* end of DL11in_int_handler */
DL11getTrans()		/* procedure */
{
wait();
}			/* end of DL11getTrans */
moveMem()		/* procedure */
{
MEMreadPhys();
MEMwritePhys();
result = incc32();
result = incc32();
}			/* end of moveMem */
bufInit()		/* procedure */
{
}			/* end of bufInit */
bufEmpty()		/* procedure */
{
}			/* end of bufEmpty */
bufFull()		/* procedure */
{
}			/* end of bufFull */
bufSetup()		/* procedure */
{
result = incc32();
}			/* end of bufSetup */
bufPut()		/* procedure */
{
result = incc32();
MEMwritePhys();
}			/* end of bufPut */
bufGet()		/* procedure */
{
result = bufEmpty();
result = incc32();
MEMreadPhys();
result = incc32();
}			/* end of bufGet */
bufGot()		/* procedure */
{
result = incc32();
MEMwritePhys();
}			/* end of bufGot */
EVassert()		/* procedure */
{
send();
}			/* end of EVassert */
EVinterrupt()		/* process */
{
doio();
send();
}			/* end of EVinterrupt */
EVwait()		/* procedure */
{
wait();
}			/* end of EVwait */
EVtest()		/* procedure */
{
}			/* end of EVtest */
EVreset()		/* procedure */
{
}			/* end of EVreset */
dump()		/* assembler procedure */
{
dmplp();
}
dmplp()		/* assembler procedure */
{
}
subs()		/* assembler procedure */
{
stop();
}
case()		/* assembler procedure */
{
stop();
}
nucl()		/* assembler procedure */
{
CPUtype();		/* "cputyp" in assembler code */
adrppt();
sizppt();
numppt();
setend();
init();
}
signl()		/* assembler process */
{
send();
wait();		/* "waitop" in assembler code */
dsen();
dwai();
hstop();
}
stop()		/* assembler procedure */
{
error_print();		/* "nucprt" in assembler code */
}
hstop()		/* assembler procedure */
{
stop();
}
cpuerr()		/* assembler process */
{
stop();
}
pwrfl()		/* assembler process */
{
stop();
}
unsol()		/* assembler process */
{
}
dcal()		/* assembler procedure */
{
callpd();
stop();
adjust();
dcon();
}
pcal()		/* assembler procedure */
{
callpd();
insert();
adjust();
cont();
}
callpd()		/* assembler procedure */
{
stop();
stop();
callex();
}
callex()		/* assembler procedure */
{
}
adjust()		/* assembler procedure */
{
}
dsen()		/* assembler procedure */
{
insert();
}
dwai()		/* assembler procedure */
{
doio();
}
doio()		/* assembler procedure */
{
nonker();
}
devint()		/* assembler process */
{
}
dcon()		/* assembler procedure */
{
}
insert()		/* assembler procedure */
{
instnk();
}
instnk()		/* assembler procedure */
{
}
nonker()		/* assembler procedure */
{
nuc_save();		/* "nucsav" in assembler code */
}
kerout()		/* assembler procedure */
{
instnk();
find();
}
wait()		/* assembler procedure ("waitop" in assembler code) */
{
find();
}
send()		/* assembler procedure */
{
dcon();
insert();
cont();
}
cont()		/* assembler procedure */
{
pexi();
}
pexi()		/* assembler procedure */
{
find();
}
find()		/* assembler procedure */
{
nuc_switch();		/* "nucswh" in assembler code */
kerout();
kerout();
}
